#
# spec file for package patterns-gnome
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with betatest

Name:           patterns-gnome
Version:        20180321
Release:        lp150.2.1
Summary:        Patterns for Installation (Gnome)
License:        MIT
Group:          Metapackages
Url:            https://github.com/openSUSE/patterns
Source0:        %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  patterns-rpm-macros

%description
This is an internal package that is used to create the patterns as part
of the installation source setup.  Installation of this package does
not make sense.

This particular package contains all the Gnome patterns.

%if 0%{?is_opensuse}
%package devel_gnome
%pattern_development
Summary:        GNOME Development
Group:          Metapackages
Provides:       pattern() = devel_gnome
Provides:       pattern-icon() = pattern-gnome-devel
Provides:       pattern-order() = 3160
Provides:       pattern-visible()
Requires:       pattern() = devel_C_C++
Requires:       pattern() = gnome_basis
Provides:       patterns-openSUSE-devel_gnome = %{version}
Obsoletes:      patterns-openSUSE-devel_gnome < %{version}

Recommends:     cairo-devel
Recommends:     clutter-devel
Recommends:     clutter-gst-devel
Recommends:     clutter-gtk-devel
Recommends:     evolution-data-server-devel
Recommends:     gdk-pixbuf-devel
Recommends:     glib2-devel
Recommends:     libgnome-desktop-3-devel
Recommends:     gnome-online-accounts-devel
Recommends:     gtk3-devel
Recommends:     gtksourceview-devel
Recommends:     json-glib-devel
Recommends:     libcanberra-devel
Recommends:     libgdata-devel
Recommends:     libgnome-keyring-devel
Recommends:     libgsf-devel
Recommends:     libgtop-devel
Recommends:     libgweather-devel
Recommends:     libnotify-devel
Recommends:     librsvg-devel
Recommends:     libsoup-devel
Recommends:     libwebkitgtk-devel
Recommends:     libwnck-devel
Recommends:     pango-devel
Recommends:     tracker-devel
Recommends:     vte-devel
# Build tools
Recommends:     gnome-common
Recommends:     gobject-introspection-devel
Recommends:     gtk-doc
Recommends:     intltool
Recommends:     itstool
Recommends:     vala
Recommends:     yelp-tools
Suggests:       python-gobject-devel

%description devel_gnome
GNOME development packages.

%files devel_gnome
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/devel_gnome.txt
%endif

%package gnome_x11
%pattern_graphicalenvironments
Summary:        GNOME Desktop Environment (X11)
Group:          Metapackages
Provides:       pattern() = gnome_x11
Provides:       pattern-icon() = pattern-gnome
Provides:       pattern-order() = 1020
Provides:       pattern-visible()
%if 0%{?is_opensuse}
Provides:       patterns-openSUSE-gnome = %{version}
Obsoletes:      patterns-openSUSE-gnome < %{version}
%else
Provides:       patterns-sled-Default
Obsoletes:      patterns-sled-Default < %{version}
%endif
%if 0%{?is_opensuse}
Requires:       pattern() = gnome_basis
%else
# bsc#1065166
Requires:       pattern() = gnome_basic
%endif
Recommends:     pattern() = x11_yast
Recommends:     pattern() = gnome_imaging
Recommends:     pattern() = office
Suggests:       pattern() = documentation
%if 0%{?is_opensuse}
Recommends:     pattern() = games
Recommends:     pattern() = imaging
Recommends:     pattern() = gnome_internet
Recommends:     pattern() = multimedia
Recommends:     pattern() = gnome_utilities
%endif

# These were not in the tumbleweed pattern
Requires:       gnome-packagekit
%if 0%{?is_opensuse}
Requires:       vinagre
%else
Requires:       remmina
%endif
Requires:       xdg-user-dirs-gtk
Recommends:     dconf-editor
# bsc#1069699
Recommends:     deja-dup
Recommends:     evince
Recommends:     evolution-ews
Recommends:     gimp
# bsc#1069699
Recommends:     gnome-characters
# bsc#1069699
Recommends:     gnome-contacts
Recommends:     gnome-control-center-color
Recommends:     gnome-control-center-goa
Recommends:     gnome-desktop
%if !0%{?is_opensuse}
Recommends:     gnome-initial-setup
%endif
Recommends:     gnote
Recommends:     gpgme
Recommends:     nautilus-eiciel
Recommends:     noto-sans-cjk-fonts
Recommends:     python3-speechd
Recommends:     speech-dispatcher
Recommends:     speech-dispatcher-module-espeak

%if !0%{?is_opensuse}
# bsc#1075136
Recommends:     gutenprint
%endif
#
# Official upstream
#
# no longer need to hard require cheese for g-c-c user panel
Recommends:     cheese
#
# #447627
%if !0%{?is_opensuse}
# bsc#1087222
Recommends:     gnome-user-share
%else
Requires:       gnome-user-share
%endif
# #545263
Requires:       seahorse
Requires:       totem
# bsc#1065191
Recommends:     pidgin
Recommends:     evolution
Recommends:     gnome-clocks
# #554954
Recommends:     gnome-disk-utility
Recommends:     gnome-documents
# #399801
Recommends:     mousetweaks
Recommends:     nautilus-sendto
Recommends:     orca
Recommends:     planner
# #608156
Recommends:     tracker
Recommends:     tracker-miner-files
Recommends:     zenity
Recommends:     gnome-bluetooth
%if 0%{?is_opensuse}
#
# Official upstream
#
# #544192
Recommends:     baobab
Recommends:     bijiben
# #302492
Suggests:       brasero
Recommends:     file-roller
Recommends:     gcr-viewer
Recommends:     gedit
Recommends:     gnome-characters
Recommends:     gnome-contacts
Recommends:     gnome-dictionary
Recommends:     gnome-documents

Recommends:     gnome-logs
Recommends:     gnome-maps
Recommends:     gnome-screenshot
Recommends:     gnome-system-monitor

Recommends:     sushi
Recommends:     totem-browser-plugin
#
# Packages that really make sense
#
# Tool for advanced configuration of printers
Recommends:     system-config-printer
Recommends:     tracker-miner-evolution
#
# While running a GNOME3 session, it's nice to have the GNOME3 related pinentry
# for proper gpg2 integration
#
Recommends:     pinentry-gnome3
Suggests:       dasher
Suggests:       gconf-editor
Suggests:       gnome-backgrounds
# bnc#698250
Suggests:       gnome-color-manager
%else
# This is NetworkManager-applet in tumbleweed
Recommends:     NetworkManager-gnome
Recommends:     desktop-data-SLE-extra
# bsc#1065148
Recommends:     NetworkManager-openvpn-gnome
Recommends:     NetworkManager-pptp-gnome
Recommends:     NetworkManager-openconnect-gnome
%endif

%description gnome_x11
The GNOME desktop environment is an intuitive and attractive desktop for users.
This pattern installs a full featured GNOME desktop environment, including
Office suite, E-Mail client, Web Browser, File Manager, running with X11
technology.

%files gnome_x11
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_x11.txt

################################################################################

%package gnome
%pattern_gnomedesktop
Summary:        GNOME Desktop Environment (Wayland)
Group:          Metapackages
Provides:       pattern() = gnome
Requires:       pattern() = gnome_x11
Provides:       pattern-order() = 1010
Recommends:     gnome-session-wayland
Provides:       pattern-icon() = pattern-gnome
Provides:       pattern-visible()

%description gnome
The GNOME desktop environment is an intuitive and attractive desktop for users.
This pattern installs components for GNOME to run with Wayland and X11 technologies.

%files gnome
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome.txt

################################################################################

%package gnome_basis
%pattern_graphicalenvironments
Summary:        GNOME Base System
Group:          Metapackages
Provides:       pattern() = gnome_basis
Provides:       pattern-icon() = pattern-gnome
Requires:       pattern() = x11
%if 0%{?is_opensuse}
Recommends:     pattern() = gnome_basis_opt
Provides:       patterns-openSUSE-gnome_basis = %{version}
Obsoletes:      patterns-openSUSE-gnome_basis < %{version}
%endif

Requires:       gdm
Requires:       gnome-session
# implied by gdm
#Requires: gnome-shell
#Requires: gnome-settings-daemon
# implied by gnome-shell
#Requires:       gnome-control-center

#
# Default sessions
# - Put in Recommends for now, to make sure the livecd will always build; but
#   ideally, should be in Requires
# - We also we explicitly put the packages required by those sessions, in case
#   gnome-session-*-session is not installable, to make sure the livecd is
#   somehow a bit usable
#
Recommends:     gnome-session-default-session
#
# Low-level parts that we need
#
%if 0%{is_opensuse}
# bnc#430161
Recommends:     NetworkManager
Recommends:     NetworkManager-applet
%endif
Recommends:     desktop-file-utils
Recommends:     gpgme
Recommends:     polkit-default-privs
Recommends:     samba
#
# Now the real packages
#
# #332596
Recommends:     gnome-keyring-pam
%if 0%{is_opensuse}
Recommends:     canberra-gtk-play
%endif
# bnc#879466
Recommends:     gnome-user-docs
# implied by gnome-keyring-pam
#Recommends:     gnome-keyring
Recommends:     gnome-power-manager
Recommends:     gnome-terminal
Recommends:     nautilus
Recommends:     yelp
# Pulseaudio is the default sound server
Recommends:     pulseaudio-module-gconf
Recommends:     pulseaudio-module-x11
# #509829
Recommends:     xdg-user-dirs-gtk
# we need something for xdg-su
Recommends:     libgnomesu

# from data/COMMON-DESKTOP
Recommends:     desktop-data
%if 0%{is_opensuse}
Recommends:     MozillaFirefox
Recommends:     avahi
#
# Branding
#
# #591535
Recommends:     gconf2-branding-openSUSE
Recommends:     gdm-branding-openSUSE
Recommends:     gio-branding-openSUSE
Recommends:     gnome-control-center-branding-openSUSE
Recommends:     gnome-panel-branding-openSUSE
Recommends:     gtk2-branding-openSUSE
Recommends:     gtk3-branding-openSUSE
Recommends:     hicolor-icon-theme-branding-openSUSE
Recommends:     libsocialweb-branding-openSUSE
%endif

%description gnome_basis
Base packages for the GNOME desktop environment.

%files gnome_basis
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_basis.txt

################################################################################
%package gnome_basic
%pattern_graphicalenvironments
Summary:        GNOME Desktop Environment (Basic)
Group:          Metapackages
Provides:       pattern() = gnome_basic
%if !0%{?is_opensuse}
Obsoletes:      patterns-sles-gnome-basic
%endif
Provides:       pattern-icon() = pattern-gnome
Provides:       pattern-order() = 1000
Provides:       pattern-visible()
Requires:       pattern() = basesystem
Requires:       pattern() = gnome_basis
%if 0%{?is_opensuse}
Requires:       pattern() = x11
%else
Requires:       pattern() = x11_enhanced
%endif

Requires:       gsettings-backend-dconf
# bsc#1065945
Recommends:     brasero
Recommends:     evince
# bsc#1065146
Recommends:     gedit
Recommends:     gnome-shell-classic
# implified by gnome-keyring-pam
# Recommends:     gnome-keyring
# bsc#1063156
Recommends:     gnome-calculator
Recommends:     gnome-software
Recommends:     gconf-editor
Recommends:     gnome-system-monitor
# bnc#859494 bsc#1065790
Recommends:     gnome-tweak-tool
Recommends:     nautilus-extension-terminal
Recommends:     nautilus-share
Recommends:     pinentry-gnome3
# bsc#1069699
Recommends:     file-roller

%description gnome_basic
The GNOME desktop environment is an intuitive and attractive desktop for users.
This pattern installs GNOME desktop environment with only essential graphical
applications installed (File Manager, Web Browser).

%files gnome_basic
%dir %{_docdir}/patterns
%{_docdir}/patterns/gnome_basic.txt

################################################################################

%if 0%{?is_opensuse}
%package gnome_basis_opt
%pattern_graphicalenvironments
Summary:        GNOME Base System
Group:          Metapackages
Provides:       pattern() = gnome_basis_opt
Provides:       pattern-extends() = gnome_basis
Provides:       pattern-icon() = pattern-gnome
Provides:       pattern-order() = 1420
Requires:       pattern() = x11
Provides:       patterns-openSUSE-gnome_basis_opt = %{version}
Obsoletes:      patterns-openSUSE-gnome_basis_opt < %{version}

# #394406
Recommends:     dynamic-wallpaper-branding-openSUSE
# MAYBE later lsb-graphics
# give net shares
Recommends:     samba

%description gnome_basis_opt
Base packages for the GNOME desktop environment.

%files gnome_basis_opt
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_basis_opt.txt
%endif

################################################################################

%if 0%{?is_opensuse}
%package gnome_games
%pattern_gnomedesktop
Summary:        GNOME Games
Group:          Metapackages
Provides:       patterns-openSUSE-gnome_games = %{version}
Provides:       pattern() = gnome_games
Provides:       pattern-extends() = games
Provides:       pattern-icon() = pattern-gnome
Provides:       pattern-order() = 2100
Obsoletes:      patterns-openSUSE-gnome_games < %{version}
Supplements:    packageand(patterns-gnome-gnome:patterns-games-games)
# from data/GNOME-Games
Recommends:     iagno
Recommends:     lightsoff
Recommends:     quadrapassel
Recommends:     gnome-chess
Recommends:     gnome-mahjongg
Recommends:     gnome-mines
Recommends:     gnome-sudoku
Recommends:     swell-foop
Recommends:     gnuchess
Suggests:       gnome-games-extra-data
Suggests:       phalanx

%description gnome_games
GNOME Games

%files gnome_games
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_games.txt
%endif

################################################################################

%if 0%{?is_opensuse}
%package gnome_ide
%pattern_gnomedesktop
Summary:        GNOME Integrated Development Environment
Group:          Metapackages
Provides:       patterns-openSUSE-gnome_ide = %{version}
Provides:       pattern() = gnome_ide
Provides:       pattern-icon() = pattern-generic
Provides:       pattern-order() = 2060
Obsoletes:      patterns-openSUSE-gnome_ide < %{version}
# from data/GNOME-IDE
Recommends:     devhelp
Recommends:     gitg
Recommends:     glade
Recommends:     gnome-builder
# from devel_ide
Suggests:       accerciser
Suggests:       anjuta
Suggests:       anjuta-extras
Suggests:       gedit
Suggests:       gedit-plugins
Suggests:       ghex
Suggests:       giggle
Suggests:       gnome-devel-docs
Suggests:       jhbuild
Suggests:       meld
Suggests:       nemiver

%description gnome_ide
Development under GNOME

%files gnome_ide
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_ide.txt
%endif

################################################################################

%package gnome_imaging
%pattern_gnomedesktop
Summary:        GNOME Graphics
Group:          Metapackages
Provides:       pattern() = gnome_imaging
Provides:       pattern-extends() = imaging
Provides:       pattern-icon() = package_graphics
Provides:       pattern-order() = 2140
Supplements:    packageand(patterns-gnome-gnome:patterns-desktop-imaging)
Requires:       pattern() = gnome_basis
%if 0%{?is_opensuse}
Provides:       patterns-openSUSE-gnome_imaging = %{version}
Obsoletes:      patterns-openSUSE-gnome_imaging < %{version}
%endif
# from data/GNOME-IMAGE
#
# Official upstream
#
Recommends:     eog
#
# Packages that really make sense
#
Recommends:     gnome-photos
Recommends:     simple-scan
Suggests:       gthumb

%description gnome_imaging
Handling of digital photos and graphics

%files gnome_imaging
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_imaging.txt

################################################################################

%if 0%{?is_opensuse}
%package gnome_internet
%pattern_gnomedesktop
Summary:        GNOME Internet
Group:          Metapackages
Provides:       patterns-openSUSE-gnome_internet = %{version}
Provides:       pattern() = gnome_internet
Provides:       pattern-extends() = gnome
Provides:       pattern-icon() = package_network
Provides:       pattern-order() = 2420
Obsoletes:      patterns-openSUSE-gnome_internet < %{version}
# from data/GNOME-Internet
#
# Official upstream
#
Recommends:     pidgin
Recommends:     evolution
#
# Packages that really make sense
#
# bnc#533580
Recommends:     NetworkManager-openvpn-gnome
Recommends:     NetworkManager-pptp-gnome
Recommends:     NetworkManager-vpnc-gnome
Recommends:     NetworkManager-openconnect-gnome
# bnc#530416
Recommends:     transmission-gtk
Recommends:     polari
#
# Official upstream
#
# bnc#366894
Suggests:       ekiga
Suggests:       epiphany
#
# Packages that can make sense
#
Suggests:       frogr
Suggests:       evolution-plugin-rss

%description gnome_internet
GNOME Internet Applications

%files gnome_internet
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_internet.txt
%endif

################################################################################

%package gnome_multimedia
%pattern_gnomedesktop
Summary:        GNOME Multimedia
Group:          Metapackages
Provides:       pattern() = gnome_multimedia
Provides:       pattern-extends() = multimedia
Provides:       pattern-icon() = pattern-gnome
Provides:       pattern-order() = 2200
Supplements:    packageand(patterns-gnome-gnome:patterns-desktop-multimedia)
Provides:       patterns-openSUSE-gnome_multimedia = %{version}
Obsoletes:      patterns-openSUSE-gnome_multimedia < %{version}
#
# GStreamer magic
#
# software.openSUSE.org/codecs
Recommends:     gstreamer-plugins-base
Recommends:     gstreamer-plugins-bad
Recommends:     gstreamer-plugins-good
Recommends:     gstreamer-plugins-ugly
Recommends:     gstreamer-plugins-libav
# bnc#445314
Recommends:     gstreamer-utils
#
# Official upstream
#
Recommends:     totem
#
# Packages that really make sense
#
Recommends:     gnome-music
#
# Packages that really make sense
#
Suggests:       paprefs
Suggests:       pavucontrol
Suggests:       pitivi

%description gnome_multimedia
GNOME Multimedia

%files gnome_multimedia
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_multimedia.txt

################################################################################

%if 0%{?is_opensuse}
%package gnome_office
%pattern_gnomedesktop
Summary:        GNOME Office
Group:          Metapackages
Provides:       pattern() = gnome_office
Provides:       pattern-extends() = office
Provides:       pattern-icon() = pattern-gnome
Provides:       pattern-order() = 2240
Supplements:    packageand(patterns-gnome-gnome:patterns-office-office)
Requires:       pattern() = gnome_basis
Provides:       patterns-openSUSE-gnome_office = %{version}
Obsoletes:      patterns-openSUSE-gnome_office < %{version}
# from data/GNOME-Office
#
# Official upstream
#
Recommends:     evolution
#
# Packages that really make sense
#
Recommends:     libreoffice-gnome
Recommends:     libreoffice-icon-theme-tango
Suggests:       evolution-ews
Suggests:       glabels
Suggests:       planner

%description gnome_office
GNOME Office

%files gnome_office
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_office.txt
%endif

################################################################################

%if 0%{?is_opensuse}
%package gnome_utilities
%pattern_gnomedesktop
Summary:        GNOME Utilities
Group:          Metapackages
Provides:       pattern() = gnome_utilities
Provides:       pattern-extends() = gnome
Provides:       pattern-icon() = pattern-gnome
Provides:       pattern-order() = 2280
Requires:       pattern() = gnome_basis
Provides:       patterns-openSUSE-gnome_utilities = %{version}
Obsoletes:      patterns-openSUSE-gnome_utilities < %{version}
#
# Official upstream
#
Recommends:     baobab
Recommends:     cheese
Recommends:     file-roller
Recommends:     gedit
Recommends:     gnome-calculator
Recommends:     gnome-characters
Recommends:     gnome-dictionary
Recommends:     gnome-screenshot
Recommends:     nautilus-extension-seahorse
Recommends:     nautilus-sendto
Recommends:     seahorse
Recommends:     bijiben
#
# Packages that really make sense
#
Recommends:     gnome-tweak-tool
Recommends:     gsf-office-thumbnailer
Recommends:     gdk-pixbuf-thumbnailer
Recommends:     rsvg-thumbnailer
Recommends:     gnome-weather
#
# Official upstream
#
Suggests:       dasher
Suggests:       eog-plugins
Suggests:       gedit-plugins
#
# Packages that can make sense
#
Suggests:       gtg
# #388570
Suggests:       nautilus-share

%description gnome_utilities
GNOME Utilities

%files gnome_utilities
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_utilities.txt
%endif

################################################################################

%if 0%{?is_opensuse}
%package gnome_yast
%pattern_basetechnologies
Summary:        YaST GNOME User Interfaces
Group:          Metapackages
Provides:       pattern() = gnome_yast
Provides:       pattern-extends() = yast2_basis
Provides:       pattern-icon() = pattern-generic
Provides:       pattern-order() = 1260
Supplements:    packageand(patterns-gnome-gnome:patterns-yast-yast2_basis)
Provides:       patterns-openSUSE-gnome_yast = %{version}
Obsoletes:      patterns-openSUSE-gnome_yast < %{version}
Requires:       libyui-qt-pkg
Requires:       yast2-control-center-qt

%description gnome_yast
Graphical YaST user interfaces for the GNOME desktop.

%files gnome_yast
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_yast.txt
%endif

################################################################################

%if 0%{?is_opensuse}
%package sw_management_gnome
%pattern_basetechnologies
Summary:        Package Management - Graphical Tools for GNOME
Group:          Metapackages
Provides:       pattern() = sw_management_gnome
Provides:       pattern-extends() = sw_management
Provides:       pattern-icon() = pattern-generic
Provides:       pattern-order() = 1780
Supplements:    packageand(patterns-gnome-gnome_basis:patterns-base-sw_management)
Requires:       pattern() = sw_management
Requires:       pattern() = x11
Provides:       patterns-openSUSE-sw_management_gnome = %{version}
Obsoletes:      patterns-openSUSE-sw_management_gnome < %{version}
Recommends:     gnome-packagekit
Recommends:     gnome-software

%description sw_management_gnome
Package Management - Graphical Tools

%files sw_management_gnome
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/sw_management_gnome.txt
%endif

%prep

%build

%install

mkdir -p "%{buildroot}/usr/share/doc/packages/patterns"
for i in gnome gnome_basis gnome_basic gnome_imaging gnome_x11 gnome_multimedia; do
	echo "This file marks the pattern $i to be installed." \
		>"%{buildroot}/usr/share/doc/packages/patterns/$i.txt"
done

%if 0%{?is_opensuse}
for i in devel_gnome gnome_basis_opt \
    gnome_games gnome_ide gnome_internet \
    gnome_office \
    gnome_utilities gnome_yast sw_management_gnome; do
	echo "This file marks the pattern $i to be installed." \
		>"%{buildroot}/usr/share/doc/packages/patterns/$i.txt"
done
%endif

%changelog
* Thu Apr 19 2018 fcrozat@suse.com
- Do not recommend pulseaudio-modules-lirc/bluetooth/zeroconf,
  use supplements in pulseaudio subpackages instead (bsc#1087207).
* Wed Apr 11 2018 fcrozat@suse.com
- Ensure x11_enhanced pattern is required by gnome_basis on SLE,
  not just x11 one (bsc#1084155).
* Tue Apr 10 2018 fcrozat@suse.com
- gnome-user-share is not available on all SLE flavors, only
  recommend it on SLE and keep require on openSUSE (bsc#1087222).
* Fri Apr  6 2018 fcrozat@suse.com
- Drop Recommends on caribou, it is no longer needed since
  GNOME 3.26.
- Enable gnome-multimedia pattern on SLE (bsc#1080203).
- Recommends gutenprint (bsc#1075136) on SLE.
- Improve description, icons and order for GNOME patterns
  (bsc#1062753, bsc#1080976).
- Remove totem-browser-plugin from Recommends, package no longer
  exists.
- Tune main gnome patterns order: first gnome_basic, then
  gnome_wayland then gnome_x11. gnome_basis doesn't need a order
  (not visible).
* Fri Apr  6 2018 lnussel@suse.de
- Do not pull in gnome-initial-setup on openSUSE (boo#1086056)
* Fri Apr  6 2018 dleuenberger@suse.com
- Drop gnome-icon-theme recommendation from gnome_x11: this theme
  has been long superseded by adwaita. While reworking the pattern
  for the SLE12->15 migration, it snuck back in.
* Wed Apr  4 2018 dimstar@opensuse.org
- Only recommend gnome-initial-setup on SLE/Leap: those have a
  crippled variant of g-i-s only doing extended keyboard settings.
  g-i-s in Tumbleweed is 'the real thing' and is meant for system
  integrators, that can use it as initial system start to configure
  the system.
* Fri Mar 23 2018 tchvatal@suse.com
- Drop dia and inkscape from defaults basically if you want to do
  vector operations you can install the packages while most users
  won't use these on default installation
* Thu Mar 22 2018 tchvatal@suse.com
- Drop the gnome-menus as it is dead as snail since 2013
* Wed Mar 21 2018 tchvatal@suse.com
- Reduce remmina/vino/vinagre to require only remmina/vingare
  as SLE/openSUSE diff, vino is VNC server not needed by default
  * kill gnome admin which is now empty
- Do not recommend amavisd-new - no need for virus scanner
- Drop google-droid-fonts, all core pkgs recommend required fonts
  no need to mess with it in patterns
- No longer recommend aria2
- Drop gutenprint and hplip from patterns here, this is handled
  by printing patterns
- Drop gnome-laptop pattern, move gnome-bluetooth recommend to
  core
- Drop gnome-imaging-opt moving dia to gnome-imaging
- Remove suggest on sound-juicer - rippers can install it by hand
- Remove abiword/gnumeric/pinpoint - we already pull full
  libreoffice, if someone wants to, they can pull it later on
- Switch from empathy to pidgin (also dropping the telepathy
  connectors) as the empathy is kinda dying while pidgin rocks
  on
* Wed Mar 21 2018 tchvatal@suse.com
- Bump version to $TODAY
- Remove libui-gtk-pkg as it is gone
- Remove various stray comments
- Drop gtk2-devel from devel as we should strive to kill it
- Drop gnome-doc-utils-devel as gnome-doc-utils is deprecated
- Drop monodevelop as we do not really emphasise mono these days
- Drop f-spot as it is gone
- Recommend also gstreamer-plugins-libav
- Drop yast-scanner and yast-tv as both modules were removed
* Mon Mar 12 2018 lnussel@suse.de
- Don't guard gnome pattern with %%is_opensuse (bsc#1084155)
* Wed Jan 24 2018 fcrozat@suse.com
- Split gnome pattern into gnome_x11 and gnome (wayland) patterns
  to implement SLED system roles (FATE#324198).
- Add gnome-user-share as requires (bsc#1075321).
* Thu Dec  7 2017 fcrozat@suse.com
- Add deja-dup, gnome-characters and gnome-contacts are Recommends
  to gnome pattern (SLE only) (bsc#1069699).
- Add brasero and file-roller as Recommends to gnome_basic pattern
  (SLE only) (bsc#1069699, bsc#1065945).
* Fri Nov 10 2017 fcrozat@suse.com
- Fix requires in gnome_basic pattern, it MUST be gnome_basic, not
  gnome-basic (bsc#1066771), pattern name MUST NOT contain -, only
  _ is allowed.
* Fri Nov  3 2017 fcrozat@suse.com
- Fix requires in gnome pattern on SLE, should be gnome-basic not
  gnome_basic.
* Tue Oct 31 2017 fcrozat@suse.com
- Stop requiring yast2-control-center-gnome in gnome pattern, use
  x11_yast patterns as Recommends instead (bsc#1062733).
- Remove gstreamer as Recommends, it is pulled by package
  dependencies.
- Stop provides/obsoletes openSUSE patterns when building on SLE.
- On SLE, gnome pattern requires gnome_basic and not just
  gnome_basis (bsc#1065166).
- No longer requires cheese for g-c-c user panel, only recommends.
- Switch to pidgin on SLE (bsc#1065191).
- Recommends gnome-documents on SLE gnome pattern.
- No longer recommends tracker-gui, it no longer exists.
- Recommends NetworkManager-openvpn/pptp/openconnect-gnome on SLE
  gnome pattern (bsc#1065148).
- Disable some implicit requires
  (gnome-shell/gnome-settings-daemon/gnome-control-center) when gdm
  is requires.
- Massive cleanup on gnome_basis pattern, dropping obsolete
  package dependencies.
- Add gnome_basic pattern, installing a basic GNOME desktop and
  application, with SLES as a use case.
* Tue Oct 17 2017 sflees@suse.de
- evince should be included on SLE (bsc#1063397)
* Tue Oct 10 2017 fcrozat@suse.com
- Do not requires x11_base pattern, it doesn't exist anymore and
  gnome_basis as requirement is enough.
* Mon Oct  9 2017 sflees@suse.de
- base pattern now obsoletes and provides Default to make SLE-12
  upgrades smoother (bsc#1062164)
* Thu Oct  5 2017 fcrozat@suse.com
- x11_base is required instead of desktop_base and enhanced_base for
  gnome pattern.
- Replace vinagre with Remmina and drop gftp (unmaintained
  upstream).
- Recommends gnome-session-wayland (bsc#1060638).
* Thu Oct  5 2017 aplazas@suse.com
- Add gnome-font-viewer recommendation to the gnome pattern.
* Wed Jul  5 2017 dimstar@opensuse.org
- Do not recommend gdb by gnome_basis: gdb alone does not give us
  useful bug reports; a reporter producing something useful still
  has to install all the -debuginfo packages and can as well
  install gdb.
* Thu Jun 22 2017 adrien.plazas@suse.com
- gnome_ide pattern:
  + Add the gnome-builder recommendation.
  + Add the gedit, gedit-plugins and jhbuild suggestions.
  + Move anjuta and monodevelop from recommendations to
    suggestions.
  + Move gitg from suggestions to recommendations.
* Tue Jun 20 2017 adrien.plazas@suse.com
- Remove liferea as it is not a GNOME application and is a niche
  tool that shouldn't be installed by default.
* Tue Jun 20 2017 adrien.plazas@suse.com
- Replace gucharmap by gnome-characters.
* Mon Jun 19 2017 dimstar@opensuse.org
- Do not require a base system: GNOME builds on top of X11 (for
  now) and what is below X11 is not our concern.
* Mon May 29 2017 dimstar@opensuse.org
- Change gnome_basis to be an internal-only pattern (non-visible).
* Wed May  3 2017 jengelh@inai.de
- Compact %%install routine; replace old RPM shell vars by macros.
* Sat Apr 29 2017 dimstar@opensuse.org
- Fixup supplements: the patterns no longer carry '-openSUSE' in
  the name.
* Thu Apr 27 2017 dimstar@opensuse.org
- Add gdk-pixbuf-thumbnailer and rsvg-thumbnailer recommends to
  gnome_utilities pattern (boo#1033650).
* Thu Mar 16 2017 sflees@suse.de
- Create new package from old unified patterns package
